%global _empty_manifest_terminate_build 0
Name:		python-tensorboard
Version:	2.12.1
Release:	2
Summary:	TensorBoard lets you watch Tensors Flow
License:	Apache 2.0
URL:		https://github.com/tensorflow/tensorboard
Source0:	https://files.pythonhosted.org/packages/93/f4/59b871fbdb2f52ba50ae234e3e5617208f99a053157c37fc0ce9cd46c40b/tensorboard-2.12.1-py3-none-any.whl
Source1:	https://files.pythonhosted.org/packages/da/61/6e9ff8258422d287eec718872fb71e05324356722ab658c8afda25f51539/tensorboard_data_server-0.7.1-py3-none-any.whl
#Source2:	bazel-external.tar.gzaa
#Source3:	bazel-external.tar.gzab
#Source4:	bazel-external.tar.gzac
#Source5:	bazel-execroot.tar.gzaa
#Source6:	bazel-arm-adds.tar.gzaa
#Source7:	bazel-arm-adds.tar.gzab
#Source8:	adapt-external-for-aarch64.patch

Requires:	python3-absl-py
Requires:	python3-grpcio
Requires:	python3-google-auth
Requires:	python3-google-auth-oauthlib
Requires:	python3-markdown
Requires:	python3-numpy
Requires:	python3-protobuf
Requires:	python3-requests
Requires:	python3-setuptools
Requires:	python3-tensorboard-data-server
Requires:	python3-tensorboard-plugin-wit
Requires:	python3-werkzeug
Requires:	python3-wheel

%description
TensorBoard is a suite of web applications for inspecting and understanding
your TensorFlow runs and graphs.

Releases prior to 1.6.0 were published under the ``tensorflow-tensorboard`` name
and may be found at https://pypi.python.org/pypi/tensorflow-tensorboard.

%package -n python3-tensorboard
Summary:	TensorBoard lets you watch Tensors Flow
Provides:	python-tensorboard
BuildRequires:	python3-devel
BuildRequires:	python3-pip
BuildRequires:	python3-setuptools
BuildRequires:	python3-wheel
BuildRequires:	python3-packaging
BuildRequires:  python3-numpy
BuildRequires:	python3-absl-py
BuildRequires:	python3-virtualenv
BuildRequires:	python3-google-api-client
BuildRequires:  bazel gcc gcc-c++
%description -n python3-tensorboard
TensorBoard is a suite of web applications for inspecting and understanding
your TensorFlow runs and graphs.

Releases prior to 1.6.0 were published under the ``tensorflow-tensorboard`` name
and may be found at https://pypi.python.org/pypi/tensorflow-tensorboard.

%package -n python3-tensorboard-data-server
Summary:	Fast data loading for TensorBoard
Provides:	python3-tensorboard-data-server
BuildRequires:	python3-devel
BuildRequires:	python3-pip
BuildRequires:	python3-setuptools
BuildRequires:	python3-wheel
%description -n python3-tensorboard-data-server
Fast data loading for TensorBoard.

%package help
Summary:	Development documents and examples for tensorboard
Provides:	python3-tensorboard-doc
%description help
TensorBoard is a suite of web applications for inspecting and understanding
your TensorFlow runs and graphs.

Releases prior to 1.6.0 were published under the ``tensorflow-tensorboard`` name
and may be found at https://pypi.python.org/pypi/tensorflow-tensorboard.

%prep

%build
mkdir dist
cp %{SOURCE0} dist
cp %{SOURCE1} dist

%install
%py3_install_wheel *
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/doclist.lst .

%files -n python3-tensorboard
%{_bindir}/tensorboard
%{python3_sitelib}/tensorboard
%{python3_sitelib}/tensorboard-*

%files -n python3-tensorboard-data-server
%{python3_sitelib}/tensorboard_data_server
%{python3_sitelib}/tensorboard_data_server-*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Sep 18 2023 zhuofeng <zhuofeng2@huawei.com> - 2.12.1-2
- fix build failed

* Tue Sep 5 2023 Dongxing Wang <dxwangk@isoftstone.com> - 2.12.1-1
- upgrade to version 2.12.1

* Fri Jul 21 2023 zhuofeng <zhuofeng2@huawei.com> - 2.12.0-1
- Update package to version 2.12.0

* Sat May 06 2023 Dongxing Wang <dxwangk@isoftstone.com> - 2.10.1-2
- change depends google-auth

* Thu Nov 10 2022 Bin Hu <hubin73@huawei.com> - 2.10.1-1
- upgrade to version 2.10.1

* Thu Oct 08 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
